body{
    background-color: rgb(7 54 63);

}

.main{
    display: none;
}

.reg-form-block {
    display: flex;
    position: absolute;
    overflow-y: hidden;
    width: 100vw;
    height: 100vh;
}

.reg-form-block__logo-side {
    position: relative;
    width: 50vw;
    height: 100vh;
    background: url("../img/reg-background.jpg");
}

.reg-form-block__logo-side:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, .7);
    z-index: 5;
}

.logo-block {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 6;

}

.logo-block-hidden{
    transition: opacity 2s;
    opacity: 0;
}

.logo-block-show{
    transition: opacity 2s;
    opacity: 100%;
}
.logo-block__box {
    border: white solid 3px;
    padding: 20px;
}


.logo-block__box--text{
    color: white;
    font-size: 35px;
}

.preview-text{
    text-align: center;
    transition: opacity 2s;
    opacity: 0;
    color: white;
    z-index: 7;
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    font-size: 120%;
}

.next-text{
    text-align: center;
    transition: opacity 2s;
    opacity: 0;
    color: white;
    z-index: 7;
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    font-size: 120%;
}

.social-networks-list{
    display: flex;
    justify-content: space-between;
    text-align: center;
    opacity: 0;
    color: white;
    z-index: 8;
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 30%;
    font-size: 120%;
}

.social-networks-list--item{
transition: opacity 2s;
opacity: 0;
color: white;
}

.social-networks-list--img{
    width: 20px;
    height: 20px;
    border-radius: 3px;
    background-color: rgb(255, 255, 255, 0.7);

}




.reg-form-block__reg-side {
    position: relative;
    background-color: rgb(7 54 63);
    width: 50vw;
    height: 100vh;
}

.error-block{
    display: none;
    position: absolute;
    justify-content: center;
    align-items: center;
    width: 65%;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    padding: 5px;

}

.error-block--text{
    color: red;
}



.button-block {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.button-block--btn {
    width: 30%;
    height: 40px;
    margin: 3%;
    background-color: rgba(0, 0, 0, 0);
    cursor: pointer;
    border-radius: 15px;
}

.button-block--btn:hover {
    background-color: rgba(0, 0, 0);
    color: white;
}

.button-block--log-up {
    background-color: white;
    color: black;
    border: 0;
}



.sing-up-block {
    position: absolute;
    display: none;
    justify-content: center;
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.sing-up-block__form {
    margin: 0 auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
}

.sing-up-block__form--input {
    background-color: rgba(0, 0, 0, 0.0);
    border: 1px white solid;
    color: white;
    box-shadow: 0;
    width: 50%;
    height: 30px;
    margin: 10px;
}

.sing-up-block__form--btn {
    width: 30%;
    height: 40px;
    margin: 3%;
    background-color: white;
    color: black;
    cursor: pointer;
    border-radius: 15px;
    border: 0;
    text-transform: uppercase;

}

.sing-up-block__form--btn:hover {
    background-color: black;
    color: white;
}

.sing-up-block__form--label {
    color: white;
    text-transform: uppercase;
}


.wrapper-content{
    max-width: 80%;
    margin: 0 auto;
    overflow: hidden;
}
.city-block{
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
flex-wrap: wrap;

}

.languages-block{
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
flex-wrap: wrap;

}

.city-item{
    position: relative;
    margin: 15px;
    width: 400px;
    height: 200px;
    cursor: pointer;
overflow: hidden;
border-radius: 10px;
}




.city-item__img{

    width: 400px;
    height: fit-content;
}

.city-item__info-block{
    position: absolute;
    top: 0px;
    width: 100%;

}


.city-item__info-block--wrapper{
    position: relative;
    width: 400px;
    height: 200px;

}
.city-item__info-block--title {
    font-size: 3rem;
    position: absolute;
    color: white;
    padding: 0 5px;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    background: rgba(0,0,0,.4);

}

.city-item__info-block--description{
    position: absolute;
    color: white;
    top: 0;
    left: 0;
    padding: 20px;
    display: none;
}

.city-item:hover .city-item__info-block--description{ 
    display: block;
    z-index: 6;
}

.city-item:hover .city-item__info-block--title{ 
    display: none;

}


  .city-item:hover:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,.5);
    z-index: 5;
  }

  .city-item__info-block--btn{
    position: absolute;
    background-color: black;
    color: white;
    border-radius: 20px;
    text-transform: uppercase;
    width: 180px;
    height: 50px;
    top: 70%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, 0);
    display: none;
    cursor: pointer;
    border: 0px;
  }

  .city-item__info-block--btn:hover{
    background-color: rgb(37, 37, 37);

  }

  .city-item:hover .city-item__info-block--btn{
    display: block;
    z-index: 6;
  }

  .city-item:hover .city-item__img{
    scale: 120%;
    transition:  2s;
  }



/* це блок для всих карток */
.item{
    position: relative;
    margin: 15px;
    width: 400px;
    height: 200px;
    cursor: pointer;
overflow: hidden;
border-radius: 10px;
}

.item__img{

    width: 400px;
    height: fit-content;
}

.item__info-block{
    position: absolute;
    top: 0px;
    width: 100%;

}


.item__info-block--wrapper{
    position: relative;
    width: 400px;
    height: 200px;

}
.item__info-block--title {
    font-size: 3rem;
    position: absolute;
    color: white;
    padding: 0 5px;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    background: rgba(0,0,0,.4);

}

.item__info-block--description{
    position: absolute;
    color: white;
    top: 0;
    left: 0;
    padding: 20px;
    display: none;
}

.item:hover .city-item__info-block--description{ 
    display: block;
    z-index: 6;
}

.item:hover .city-item__info-block--title{ 
    display: none;

}


  .item:hover:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,.5);
    z-index: 5;
  }

  .item__info-block--btn{
    position: absolute;
    background-color: black;
    color: white;
    border-radius: 20px;
    text-transform: uppercase;
    width: 180px;
    height: 50px;
    top: 70%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, 0);
    display: none;
    cursor: pointer;
    border: 0px;
  }

  .item__info-block--btn:hover{
    background-color: rgb(37, 37, 37);

  }

  .item:hover .city-item__info-block--btn{
    display: block;
    z-index: 6;
  }

  .item:hover .city-item__img{
    scale: 120%;
    transition:  2s;
  }














  
  .checked-btn{
    display: block;
    z-index: 6;
    background-color: rgb(37, 37, 37);
  }

  .block-title {
      color: white;
      font-size: 3rem;
      text-align: center;
      margin-bottom: 15px;
      margin-top: 20px;
  }